Package: org.gradle.tooling.model.eclipse

## [Java] Interface EclipseProjectDependency

- org.gradle.tooling.model.ProjectDependency

- All Superinterfaces:
    Dependency, ProjectDependency

  Represents a dependency on another Eclipse project.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `getPath()` Returns the path to use for this project dependency.
    `HierarchicalEclipseProject` | `getTargetProject()` Returns the target of this dependency.
    `boolean` | `isExported()` Marks this dependency as exported.

- - ### Method Detail

    - #### public String getPath()

      Returns the path to use for this project dependency.

    - #### public HierarchicalEclipseProject getTargetProject()

      Returns the target of this dependency.

      Returns:
        The target project. Does not return null.

    - #### public boolean isExported()

      Marks this dependency as exported.

      Returns:
        whether this dependency needs to be exported.
      Since:
        2.5